com.genesyslab.wfm7.API.service.schedule761

## Class SchAgentDay

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule761.SchAgentDay

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentDay
      extends java.lang.Object
      implements java.io.Serializable

  Agent Day Schedule, or Agent Day, is an agent's schedule for one day. Note that the notion of "day" here is not a calendar day, but, rather, a so called shift-day. That is, if the agent's shift starts today and continues into tomorrow, all the agent's scheduled states that are extending into tomorrow are still assigned to the Agent Day Schedule for "today" (not tomorrow). Note that no scheduled states can extend over 12pm of the next day. So an Agent Day is essentially 36 hours long.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private SchCoverage[]` | `coverage` Used internally to calculate activity coverage for the day.
    `private int` | `coverageNSizeIs` Number of elements in the "coverage" array
    `private boolean` | `eligibleForTrade` Indicates whether agent day can be traded or not.
    `private int` | `gswAgentId` Agent ID, identifies the `CfgAgent` object.
    `private int` | `gswUserId` User ID if schedule day is "pending"; zero if agent is "committed".
    `private int[]` | `schActivities` A list of each unique Activity ID scheduled in an agent day schedule.
    `private int` | `schActivitiesNSizeIs` Number of elements in the "schActivities" array
    `private SchActivitySet[]` | `schActivitySetInfo` A list of possible values for scheduled activity set states.
    `private int` | `schActivitySetInfoNSizeIs` Number of elements in "schActivitySetInfo" array
    `private SchState[]` | `schStates` A list of all schedule states `SchState` in the day, including Activity and Shift states, as well as full-day states such as full-day exception, day off, and vacation.
    `private int` | `schStatesNSizeIs` Number of elements in "schStates" array
    `private long` | `timestamp` Agent day schedule DB timestamp value taken at the moment when a record was read from the database.
    `private java.lang.String` | `wmComments` Comments for the agent day schedule.
    `private double` | `wmDate` A date of agent day schedule `OleDateTime`
    `private int` | `wmDayType` Type of agent day schedule `ESchDayType`
    `private double` | `wmEndDateTime` End time of the last schedule state in Agent Day.
    `private int` | `wmExceptionTypeId` Exception ID, identifies full-day Exception `CfgExceptionType` whether wmDayType = ESchDayType.SCH_DAY_EXCEPTION.
    `private int` | `wmFlag` Agent Day Flag `ESchDayFlag`
    `private double` | `wmNextStartDateTime` Start time for the next day's schedule.
    `private int` | `wmOvertimeMinutes` Daily overtime minutes.
    `private int` | `wmPaidMinutes` Total paid minutes in the agent day schedule.
    `private double` | `wmPrevEndDateTime` End time for the previous day's schedule.
    `private int` | `wmScheduleId` Schedule (Scenario) identifier.
    `private double` | `wmShiftEndDateTime` Shift Schedule State end date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT
    `private int` | `wmShiftId` Shift ID, identifies `CfgShift` whether wmDayType = ESchDayType.SCH_DAY_SHIFT.
    `private double` | `wmShiftStartDateTime` Shift Schedule State start date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT.
    `private int` | `wmSiteId` Site ID, identifies the `CfgSite` object.
    `private double` | `wmStartDateTime` Start time of the first schedule state in Agent Day.
    `private java.lang.String` | `wmSwordDescribe` Used internally to store encoded schedule for agent day.
    `private int` | `wmTimeOffTypeId` Time Off Type ID, identifies full-day Time Off `CfgTimeOffType` whether wmDayType = ESchDayType.SCH_DAY_TIMEOFF.
    `private int` | `wmTimezoneId` Time Zone ID used.
    `private int` | `wmVacationMinutes` Total Time Off state minutes in an agent day schedule.
    `private int` | `wmWorkMinutes` Total effective-work minutes in an agent day schedule.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentDay()`
    `SchAgentDay(int gswUserId, int wmScheduleId, int wmSiteId, int gswAgentId, double wmDate, int wmDayType, int wmExceptionTypeId, int wmTimeOffTypeId, double wmStartDateTime, double wmEndDateTime, int wmShiftId, double wmShiftStartDateTime, double wmShiftEndDateTime, java.lang.String wmComments, java.lang.String wmSwordDescribe, int wmFlag, int wmPaidMinutes, int wmWorkMinutes, int wmVacationMinutes, int wmOvertimeMinutes, int schActivitiesNSizeIs, int[] schActivities, int coverageNSizeIs, SchCoverage[] coverage, int schStatesNSizeIs, SchState[] schStates, int schActivitySetInfoNSizeIs, SchActivitySet[] schActivitySetInfo, double wmPrevEndDateTime, double wmNextStartDateTime, boolean eligibleForTrade, int wmTimezoneId, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchCoverage[]` | `getCoverage()` Gets the coverage value for this SchAgentDay.
    `int` | `getCoverageNSizeIs()` Gets the coverageNSizeIs value for this SchAgentDay.
    `int` | `getGswAgentId()` Gets the gswAgentId value for this SchAgentDay.
    `int` | `getGswUserId()` Gets the gswUserId value for this SchAgentDay.
    `int[]` | `getSchActivities()` Gets the schActivities value for this SchAgentDay.
    `int` | `getSchActivitiesNSizeIs()` Gets the schActivitiesNSizeIs value for this SchAgentDay.
    `SchActivitySet[]` | `getSchActivitySetInfo()` Gets the schActivitySetInfo value for this SchAgentDay.
    `int` | `getSchActivitySetInfoNSizeIs()` Gets the schActivitySetInfoNSizeIs value for this SchAgentDay.
    `SchState[]` | `getSchStates()` Gets the schStates value for this SchAgentDay.
    `int` | `getSchStatesNSizeIs()` Gets the schStatesNSizeIs value for this SchAgentDay.
    `long` | `getTimestamp()` Gets the timestamp value for this SchAgentDay.
    `java.lang.String` | `getWmComments()` Gets the wmComments value for this SchAgentDay.
    `double` | `getWmDate()` Gets the wmDate value for this SchAgentDay.
    `int` | `getWmDayType()` Gets the wmDayType value for this SchAgentDay.
    `double` | `getWmEndDateTime()` Gets the wmEndDateTime value for this SchAgentDay.
    `int` | `getWmExceptionTypeId()` Gets the wmExceptionTypeId value for this SchAgentDay.
    `int` | `getWmFlag()` Gets the wmFlag value for this SchAgentDay.
    `double` | `getWmNextStartDateTime()` Gets the wmNextStartDateTime value for this SchAgentDay.
    `int` | `getWmOvertimeMinutes()` Gets the wmOvertimeMinutes value for this SchAgentDay.
    `int` | `getWmPaidMinutes()` Gets the wmPaidMinutes value for this SchAgentDay.
    `double` | `getWmPrevEndDateTime()` Gets the wmPrevEndDateTime value for this SchAgentDay.
    `int` | `getWmScheduleId()` Gets the wmScheduleId value for this SchAgentDay.
    `double` | `getWmShiftEndDateTime()` Gets the wmShiftEndDateTime value for this SchAgentDay.
    `int` | `getWmShiftId()` Gets the wmShiftId value for this SchAgentDay.
    `double` | `getWmShiftStartDateTime()` Gets the wmShiftStartDateTime value for this SchAgentDay.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this SchAgentDay.
    `double` | `getWmStartDateTime()` Gets the wmStartDateTime value for this SchAgentDay.
    `java.lang.String` | `getWmSwordDescribe()` Gets the wmSwordDescribe value for this SchAgentDay.
    `int` | `getWmTimeOffTypeId()` Gets the wmTimeOffTypeId value for this SchAgentDay.
    `int` | `getWmTimezoneId()` Gets the wmTimezoneId value for this SchAgentDay.
    `int` | `getWmVacationMinutes()` Gets the wmVacationMinutes value for this SchAgentDay.
    `int` | `getWmWorkMinutes()` Gets the wmWorkMinutes value for this SchAgentDay.
    `boolean` | `isEligibleForTrade()` Gets the eligibleForTrade value for this SchAgentDay.
    `void` | `setCoverage(SchCoverage[] coverage)` Sets the coverage value for this SchAgentDay.
    `void` | `setCoverageNSizeIs(int coverageNSizeIs)` Sets the coverageNSizeIs value for this SchAgentDay.
    `void` | `setEligibleForTrade(boolean eligibleForTrade)` Sets the eligibleForTrade value for this SchAgentDay.
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this SchAgentDay.
    `void` | `setGswUserId(int gswUserId)` Sets the gswUserId value for this SchAgentDay.
    `void` | `setSchActivities(int[] schActivities)` Sets the schActivities value for this SchAgentDay.
    `void` | `setSchActivitiesNSizeIs(int schActivitiesNSizeIs)` Sets the schActivitiesNSizeIs value for this SchAgentDay.
    `void` | `setSchActivitySetInfo(SchActivitySet[] schActivitySetInfo)` Sets the schActivitySetInfo value for this SchAgentDay.
    `void` | `setSchActivitySetInfoNSizeIs(int schActivitySetInfoNSizeIs)` Sets the schActivitySetInfoNSizeIs value for this SchAgentDay.
    `void` | `setSchStates(SchState[] schStates)` Sets the schStates value for this SchAgentDay.
    `void` | `setSchStatesNSizeIs(int schStatesNSizeIs)` Sets the schStatesNSizeIs value for this SchAgentDay.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this SchAgentDay.
    `void` | `setWmComments(java.lang.String wmComments)` Sets the wmComments value for this SchAgentDay.
    `void` | `setWmDate(double wmDate)` Sets the wmDate value for this SchAgentDay.
    `void` | `setWmDayType(int wmDayType)` Sets the wmDayType value for this SchAgentDay.
    `void` | `setWmEndDateTime(double wmEndDateTime)` Sets the wmEndDateTime value for this SchAgentDay.
    `void` | `setWmExceptionTypeId(int wmExceptionTypeId)` Sets the wmExceptionTypeId value for this SchAgentDay.
    `void` | `setWmFlag(int wmFlag)` Sets the wmFlag value for this SchAgentDay.
    `void` | `setWmNextStartDateTime(double wmNextStartDateTime)` Sets the wmNextStartDateTime value for this SchAgentDay.
    `void` | `setWmOvertimeMinutes(int wmOvertimeMinutes)` Sets the wmOvertimeMinutes value for this SchAgentDay.
    `void` | `setWmPaidMinutes(int wmPaidMinutes)` Sets the wmPaidMinutes value for this SchAgentDay.
    `void` | `setWmPrevEndDateTime(double wmPrevEndDateTime)` Sets the wmPrevEndDateTime value for this SchAgentDay.
    `void` | `setWmScheduleId(int wmScheduleId)` Sets the wmScheduleId value for this SchAgentDay.
    `void` | `setWmShiftEndDateTime(double wmShiftEndDateTime)` Sets the wmShiftEndDateTime value for this SchAgentDay.
    `void` | `setWmShiftId(int wmShiftId)` Sets the wmShiftId value for this SchAgentDay.
    `void` | `setWmShiftStartDateTime(double wmShiftStartDateTime)` Sets the wmShiftStartDateTime value for this SchAgentDay.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this SchAgentDay.
    `void` | `setWmStartDateTime(double wmStartDateTime)` Sets the wmStartDateTime value for this SchAgentDay.
    `void` | `setWmSwordDescribe(java.lang.String wmSwordDescribe)` Sets the wmSwordDescribe value for this SchAgentDay.
    `void` | `setWmTimeOffTypeId(int wmTimeOffTypeId)` Sets the wmTimeOffTypeId value for this SchAgentDay.
    `void` | `setWmTimezoneId(int wmTimezoneId)` Sets the wmTimezoneId value for this SchAgentDay.
    `void` | `setWmVacationMinutes(int wmVacationMinutes)` Sets the wmVacationMinutes value for this SchAgentDay.
    `void` | `setWmWorkMinutes(int wmWorkMinutes)` Sets the wmWorkMinutes value for this SchAgentDay.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gswUserId

          private int gswUserId

      User ID if schedule day is "pending"; zero if agent is "committed".

    - #### wmScheduleId

          private int wmScheduleId

      Schedule (Scenario) identifier. It is zero for Master Schedule

    - #### wmSiteId

          private int wmSiteId

      Site ID, identifies the `CfgSite` object.

    - #### gswAgentId

          private int gswAgentId

      Agent ID, identifies the `CfgAgent` object. It has a negative value if the agent is a "Profile Agent".

    - #### wmDate

          private double wmDate

      A date of agent day schedule `OleDateTime`

    - #### wmDayType

          private int wmDayType

      Type of agent day schedule `ESchDayType`

    - #### wmExceptionTypeId

          private int wmExceptionTypeId

      Exception ID, identifies full-day Exception `CfgExceptionType` whether wmDayType = ESchDayType.SCH_DAY_EXCEPTION.

    - #### wmTimeOffTypeId

          private int wmTimeOffTypeId

      Time Off Type ID, identifies full-day Time Off `CfgTimeOffType` whether wmDayType = ESchDayType.SCH_DAY_TIMEOFF.

    - #### wmStartDateTime

          private double wmStartDateTime

      Start time of the first schedule state in Agent Day. If Agent Day is of full-day type, as with Exception, Day Off, or Time Off, then wmStartDateTime is equal to wmDate. It is a read-only attribute. `OleDateTime`

    - #### wmEndDateTime

          private double wmEndDateTime

      End time of the last schedule state in Agent Day. If Agent Day is of full-day type, as with Exception, Day Off or Time Off, then wmEndDateTime is equal to wmDate. It is a read-only attribute.

    - #### wmShiftId

          private int wmShiftId

      Shift ID, identifies `CfgShift` whether wmDayType = ESchDayType.SCH_DAY_SHIFT.

    - #### wmShiftStartDateTime

          private double wmShiftStartDateTime

      Shift Schedule State start date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT.

    - #### wmShiftEndDateTime

          private double wmShiftEndDateTime

      Shift Schedule State end date/time `OleDateTime` if wmDayType = ESchDayType.SCH_DAY_SHIFT

    - #### wmComments

          private java.lang.String wmComments

      Comments for the agent day schedule.

    - #### wmSwordDescribe

          private java.lang.String wmSwordDescribe

      Used internally to store encoded schedule for agent day. It is used only by WFM Builder. Other clients simply need to pass it back to Schedule Service together with the modified Agent Day.

    - #### wmFlag

          private int wmFlag

      Agent Day Flag `ESchDayFlag`

    - #### wmPaidMinutes

          private int wmPaidMinutes

      Total paid minutes in the agent day schedule. If a modified day having type SCH_DAY_EXCEPTION is sent back to the server, then the specified paid minutes indicate to the server how this full day exception needs to be compensated. Otherwise, if the value is zero, the standard working hours will be used as the paid time for the full day exception.

    - #### wmWorkMinutes

          private int wmWorkMinutes

      Total effective-work minutes in an agent day schedule. It is a read-only attribute.

    - #### wmVacationMinutes

          private int wmVacationMinutes

      Total Time Off state minutes in an agent day schedule. It is a read-only attribute.

    - #### wmOvertimeMinutes

          private int wmOvertimeMinutes

      Daily overtime minutes. It is a read-only attribute.

    - #### schActivitiesNSizeIs

          private int schActivitiesNSizeIs

      Number of elements in the "schActivities" array

    - #### schActivities

          private int[] schActivities

      A list of each unique Activity ID scheduled in an agent day schedule. Identifies `CfgActivity`

    - #### coverageNSizeIs

          private int coverageNSizeIs

      Number of elements in the "coverage" array

    - #### coverage

          private SchCoverage[] coverage

      Used internally to calculate activity coverage for the day. Normally, there is no need for clients to modify it. Clients simply need to pass it back to Schedule Service together with the modified Agent Day.

    - #### schStatesNSizeIs

          private int schStatesNSizeIs

      Number of elements in "schStates" array

    - #### schStates

          private SchState[] schStates

      A list of all schedule states `SchState` in the day, including Activity and Shift states, as well as full-day states such as full-day exception, day off, and vacation.

    - #### schActivitySetInfoNSizeIs

          private int schActivitySetInfoNSizeIs

      Number of elements in "schActivitySetInfo" array

    - #### schActivitySetInfo

          private SchActivitySet[] schActivitySetInfo

      A list of possible values for scheduled activity set states. Can be NULL if activity set information was not requested.

    - #### wmPrevEndDateTime

          private double wmPrevEndDateTime

      End time for the previous day's schedule. Client has to make sure not to overlap this time when modifying scheduled states in the Agent Day. It is a read-only attribute. `OleDateTime`

    - #### wmNextStartDateTime

          private double wmNextStartDateTime

      Start time for the next day's schedule. Client has to make sure not to overlap this time when modifying scheduled states in the Agent Day. It is a read-only attribute. `OleDateTime`

    - #### eligibleForTrade

          private boolean eligibleForTrade

      Indicates whether agent day can be traded or not. It is a read-only attribute.

    - #### wmTimezoneId

          private int wmTimezoneId

      Time Zone ID used. A zero value represents Site time zone. `CfgTimezone`

    - #### timestamp

          private long timestamp

      Agent day schedule DB timestamp value taken at the moment when a record was read from the database. A client can use this value to check if the agent day schedule was modified by another user by comparing it against one returned by function ReadAgentDayDBTimestamp. This value is also used by Schedule Service when saving agent day to the database (see function SaveAgentDay).

  - ### Constructor Detail

    - #### SchAgentDay

          public SchAgentDay()

    - #### SchAgentDay

          public SchAgentDay(int gswUserId,
                     int wmScheduleId,
                     int wmSiteId,
                     int gswAgentId,
                     double wmDate,
                     int wmDayType,
                     int wmExceptionTypeId,
                     int wmTimeOffTypeId,
                     double wmStartDateTime,
                     double wmEndDateTime,
                     int wmShiftId,
                     double wmShiftStartDateTime,
                     double wmShiftEndDateTime,
                     java.lang.String wmComments,
                     java.lang.String wmSwordDescribe,
                     int wmFlag,
                     int wmPaidMinutes,
                     int wmWorkMinutes,
                     int wmVacationMinutes,
                     int wmOvertimeMinutes,
                     int schActivitiesNSizeIs,
                     int[] schActivities,
                     int coverageNSizeIs,
                     SchCoverage[] coverage,
                     int schStatesNSizeIs,
                     SchState[] schStates,
                     int schActivitySetInfoNSizeIs,
                     SchActivitySet[] schActivitySetInfo,
                     double wmPrevEndDateTime,
                     double wmNextStartDateTime,
                     boolean eligibleForTrade,
                     int wmTimezoneId,
                     long timestamp)

  - ### Method Detail

    - #### getGswUserId

          public int getGswUserId()

      Gets the gswUserId value for this SchAgentDay.
      Returns:
        gswUserId

    - #### setGswUserId

          public void setGswUserId(int gswUserId)

      Sets the gswUserId value for this SchAgentDay.
      Parameters:
        `gswUserId` -

    - #### getWmScheduleId

          public int getWmScheduleId()

      Gets the wmScheduleId value for this SchAgentDay.
      Returns:
        wmScheduleId

    - #### setWmScheduleId

          public void setWmScheduleId(int wmScheduleId)

      Sets the wmScheduleId value for this SchAgentDay.
      Parameters:
        `wmScheduleId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this SchAgentDay.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this SchAgentDay.
      Parameters:
        `wmSiteId` -

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this SchAgentDay.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this SchAgentDay.
      Parameters:
        `gswAgentId` -

    - #### getWmDate

          public double getWmDate()

      Gets the wmDate value for this SchAgentDay.
      Returns:
        wmDate

    - #### setWmDate

          public void setWmDate(double wmDate)

      Sets the wmDate value for this SchAgentDay.
      Parameters:
        `wmDate` -

    - #### getWmDayType

          public int getWmDayType()

      Gets the wmDayType value for this SchAgentDay.
      Returns:
        wmDayType

    - #### setWmDayType

          public void setWmDayType(int wmDayType)

      Sets the wmDayType value for this SchAgentDay.
      Parameters:
        `wmDayType` -

    - #### getWmExceptionTypeId

          public int getWmExceptionTypeId()

      Gets the wmExceptionTypeId value for this SchAgentDay.
      Returns:
        wmExceptionTypeId

    - #### setWmExceptionTypeId

          public void setWmExceptionTypeId(int wmExceptionTypeId)

      Sets the wmExceptionTypeId value for this SchAgentDay.
      Parameters:
        `wmExceptionTypeId` -

    - #### getWmTimeOffTypeId

          public int getWmTimeOffTypeId()

      Gets the wmTimeOffTypeId value for this SchAgentDay.
      Returns:
        wmTimeOffTypeId

    - #### setWmTimeOffTypeId

          public void setWmTimeOffTypeId(int wmTimeOffTypeId)

      Sets the wmTimeOffTypeId value for this SchAgentDay.
      Parameters:
        `wmTimeOffTypeId` -

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the wmStartDateTime value for this SchAgentDay.
      Returns:
        wmStartDateTime

    - #### setWmStartDateTime

          public void setWmStartDateTime(double wmStartDateTime)

      Sets the wmStartDateTime value for this SchAgentDay.
      Parameters:
        `wmStartDateTime` -

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the wmEndDateTime value for this SchAgentDay.
      Returns:
        wmEndDateTime

    - #### setWmEndDateTime

          public void setWmEndDateTime(double wmEndDateTime)

      Sets the wmEndDateTime value for this SchAgentDay.
      Parameters:
        `wmEndDateTime` -

    - #### getWmShiftId

          public int getWmShiftId()

      Gets the wmShiftId value for this SchAgentDay.
      Returns:
        wmShiftId

    - #### setWmShiftId

          public void setWmShiftId(int wmShiftId)

      Sets the wmShiftId value for this SchAgentDay.
      Parameters:
        `wmShiftId` -

    - #### getWmShiftStartDateTime

          public double getWmShiftStartDateTime()

      Gets the wmShiftStartDateTime value for this SchAgentDay.
      Returns:
        wmShiftStartDateTime

    - #### setWmShiftStartDateTime

          public void setWmShiftStartDateTime(double wmShiftStartDateTime)

      Sets the wmShiftStartDateTime value for this SchAgentDay.
      Parameters:
        `wmShiftStartDateTime` -

    - #### getWmShiftEndDateTime

          public double getWmShiftEndDateTime()

      Gets the wmShiftEndDateTime value for this SchAgentDay.
      Returns:
        wmShiftEndDateTime

    - #### setWmShiftEndDateTime

          public void setWmShiftEndDateTime(double wmShiftEndDateTime)

      Sets the wmShiftEndDateTime value for this SchAgentDay.
      Parameters:
        `wmShiftEndDateTime` -

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the wmComments value for this SchAgentDay.
      Returns:
        wmComments

    - #### setWmComments

          public void setWmComments(java.lang.String wmComments)

      Sets the wmComments value for this SchAgentDay.
      Parameters:
        `wmComments` -

    - #### getWmSwordDescribe

          public java.lang.String getWmSwordDescribe()

      Gets the wmSwordDescribe value for this SchAgentDay.
      Returns:
        wmSwordDescribe

    - #### setWmSwordDescribe

          public void setWmSwordDescribe(java.lang.String wmSwordDescribe)

      Sets the wmSwordDescribe value for this SchAgentDay.
      Parameters:
        `wmSwordDescribe` -

    - #### getWmFlag

          public int getWmFlag()

      Gets the wmFlag value for this SchAgentDay.
      Returns:
        wmFlag

    - #### setWmFlag

          public void setWmFlag(int wmFlag)

      Sets the wmFlag value for this SchAgentDay.
      Parameters:
        `wmFlag` -

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the wmPaidMinutes value for this SchAgentDay.
      Returns:
        wmPaidMinutes

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int wmPaidMinutes)

      Sets the wmPaidMinutes value for this SchAgentDay.
      Parameters:
        `wmPaidMinutes` -

    - #### getWmWorkMinutes

          public int getWmWorkMinutes()

      Gets the wmWorkMinutes value for this SchAgentDay.
      Returns:
        wmWorkMinutes

    - #### setWmWorkMinutes

          public void setWmWorkMinutes(int wmWorkMinutes)

      Sets the wmWorkMinutes value for this SchAgentDay.
      Parameters:
        `wmWorkMinutes` -

    - #### getWmVacationMinutes

          public int getWmVacationMinutes()

      Gets the wmVacationMinutes value for this SchAgentDay.
      Returns:
        wmVacationMinutes

    - #### setWmVacationMinutes

          public void setWmVacationMinutes(int wmVacationMinutes)

      Sets the wmVacationMinutes value for this SchAgentDay.
      Parameters:
        `wmVacationMinutes` -

    - #### getWmOvertimeMinutes

          public int getWmOvertimeMinutes()

      Gets the wmOvertimeMinutes value for this SchAgentDay.
      Returns:
        wmOvertimeMinutes

    - #### setWmOvertimeMinutes

          public void setWmOvertimeMinutes(int wmOvertimeMinutes)

      Sets the wmOvertimeMinutes value for this SchAgentDay.
      Parameters:
        `wmOvertimeMinutes` -

    - #### getSchActivitiesNSizeIs

          public int getSchActivitiesNSizeIs()

      Gets the schActivitiesNSizeIs value for this SchAgentDay.
      Returns:
        schActivitiesNSizeIs

    - #### setSchActivitiesNSizeIs

          public void setSchActivitiesNSizeIs(int schActivitiesNSizeIs)

      Sets the schActivitiesNSizeIs value for this SchAgentDay.
      Parameters:
        `schActivitiesNSizeIs` -

    - #### getSchActivities

          public int[] getSchActivities()

      Gets the schActivities value for this SchAgentDay.
      Returns:
        schActivities

    - #### setSchActivities

          public void setSchActivities(int[] schActivities)

      Sets the schActivities value for this SchAgentDay.
      Parameters:
        `schActivities` -

    - #### getCoverageNSizeIs

          public int getCoverageNSizeIs()

      Gets the coverageNSizeIs value for this SchAgentDay.
      Returns:
        coverageNSizeIs

    - #### setCoverageNSizeIs

          public void setCoverageNSizeIs(int coverageNSizeIs)

      Sets the coverageNSizeIs value for this SchAgentDay.
      Parameters:
        `coverageNSizeIs` -

    - #### getCoverage

          public SchCoverage[] getCoverage()

      Gets the coverage value for this SchAgentDay.
      Returns:
        coverage

    - #### setCoverage

          public void setCoverage(SchCoverage[] coverage)

      Sets the coverage value for this SchAgentDay.
      Parameters:
        `coverage` -

    - #### getSchStatesNSizeIs

          public int getSchStatesNSizeIs()

      Gets the schStatesNSizeIs value for this SchAgentDay.
      Returns:
        schStatesNSizeIs

    - #### setSchStatesNSizeIs

          public void setSchStatesNSizeIs(int schStatesNSizeIs)

      Sets the schStatesNSizeIs value for this SchAgentDay.
      Parameters:
        `schStatesNSizeIs` -

    - #### getSchStates

          public SchState[] getSchStates()

      Gets the schStates value for this SchAgentDay.
      Returns:
        schStates

    - #### setSchStates

          public void setSchStates(SchState[] schStates)

      Sets the schStates value for this SchAgentDay.
      Parameters:
        `schStates` -

    - #### getSchActivitySetInfoNSizeIs

          public int getSchActivitySetInfoNSizeIs()

      Gets the schActivitySetInfoNSizeIs value for this SchAgentDay.
      Returns:
        schActivitySetInfoNSizeIs

    - #### setSchActivitySetInfoNSizeIs

          public void setSchActivitySetInfoNSizeIs(int schActivitySetInfoNSizeIs)

      Sets the schActivitySetInfoNSizeIs value for this SchAgentDay.
      Parameters:
        `schActivitySetInfoNSizeIs` -

    - #### getSchActivitySetInfo

          public SchActivitySet[] getSchActivitySetInfo()

      Gets the schActivitySetInfo value for this SchAgentDay.
      Returns:
        schActivitySetInfo

    - #### setSchActivitySetInfo

          public void setSchActivitySetInfo(SchActivitySet[] schActivitySetInfo)

      Sets the schActivitySetInfo value for this SchAgentDay.
      Parameters:
        `schActivitySetInfo` -

    - #### getWmPrevEndDateTime

          public double getWmPrevEndDateTime()

      Gets the wmPrevEndDateTime value for this SchAgentDay.
      Returns:
        wmPrevEndDateTime

    - #### setWmPrevEndDateTime

          public void setWmPrevEndDateTime(double wmPrevEndDateTime)

      Sets the wmPrevEndDateTime value for this SchAgentDay.
      Parameters:
        `wmPrevEndDateTime` -

    - #### getWmNextStartDateTime

          public double getWmNextStartDateTime()

      Gets the wmNextStartDateTime value for this SchAgentDay.
      Returns:
        wmNextStartDateTime

    - #### setWmNextStartDateTime

          public void setWmNextStartDateTime(double wmNextStartDateTime)

      Sets the wmNextStartDateTime value for this SchAgentDay.
      Parameters:
        `wmNextStartDateTime` -

    - #### isEligibleForTrade

          public boolean isEligibleForTrade()

      Gets the eligibleForTrade value for this SchAgentDay.
      Returns:
        eligibleForTrade

    - #### setEligibleForTrade

          public void setEligibleForTrade(boolean eligibleForTrade)

      Sets the eligibleForTrade value for this SchAgentDay.
      Parameters:
        `eligibleForTrade` -

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the wmTimezoneId value for this SchAgentDay.
      Returns:
        wmTimezoneId

    - #### setWmTimezoneId

          public void setWmTimezoneId(int wmTimezoneId)

      Sets the wmTimezoneId value for this SchAgentDay.
      Parameters:
        `wmTimezoneId` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this SchAgentDay.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this SchAgentDay.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.